using FluentValidation;
using Hotline.Share.Dtos.Order;

namespace DataSharing.Validators.XieTong
{
    public class SendSuperviseProcessInfoValidator : AbstractValidator<PublishSuperviseDto>
    {
        /// <summary>
        /// 督办过程
        /// </summary>
        public SendSuperviseProcessInfoValidator()
        {
            RuleFor(d => d.Supervise.SuperviseSerial).NotEmpty();
            RuleFor(d => d.Order.AreaCode).NotEmpty();
            RuleFor(d => d.Supervise.SignUser).NotEmpty();
            RuleFor(d => d.Supervise.SignTime).NotEmpty();
        }
    }
}
